[Ubuntu 20.04] vhost_set_features not supported in qemu-system-s390x

Bug #1866207 reported by bugproxy on 2020-03-05
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
High
Canonical Server Team
qemu (Ubuntu)
High
Skipper Bug Screeners

Bug Description

Problem description:
We turn on device IOTLB via VIRTIO_F_IOMMU_PLATFORM unconditionally on
platform without IOMMU support. This can lead unnecessary IOTLB
transactions which will damage the performance.

Fixing this by check whether the device is backed by IOMMU and disable
device IOTLB.

The patch can be found at
https://lists.gnu.org/archive/html/qemu-devel/2020-03/msg00074.html.

Related branches

bugproxy (bugproxy) on 2020-03-05
tags: added: architecture-s39064 bugnameltc-184022 severity-high targetmilestone-inin2004
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → qemu (Ubuntu)
Frank Heimes (fheimes) on 2020-03-06
Changed in ubuntu-z-systems:
status: New → Triaged
importance: Undecided → High
assignee: nobody → Canonical Server Team (canonical-server)

Thanks, the change LGTM.

Waiting for the upstream discussion to settle on v3 or v3+n and then I'll add it to Focal.
You can help by pinging us once this got accepted.

If we this takes rather long and we get close to the last date to do the last pre 20.04-release upload and at the time the patch isn't accepted upstream we can re-sync how to proceed.

Changed in qemu (Ubuntu):
status: New → Incomplete
importance: Undecided → High

------- Comment From <email address hidden> 2020-03-12 06:25 EDT-------
The patch has made it to the QEMU git:

commit f7ef7e6e3ba6e994e070cc609eb154339d1c4a11
Author: Jason Wang <email address hidden>
Date: Mon Mar 2 12:24:54 2020 +0800

vhost: correctly turn on VIRTIO_F_IOMMU_PLATFORM

Frank Heimes (fheimes) on 2020-03-12
Changed in qemu (Ubuntu):
status: Incomplete → Triaged

FYI uploaded to Focal

Changed in qemu (Ubuntu):
status: Triaged → Fix Committed
Frank Heimes (fheimes) on 2020-03-13
Changed in ubuntu-z-systems:
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qemu - 1:4.2-3ubuntu2

---------------
qemu (1:4.2-3ubuntu2) focal; urgency=medium

  * allow qemu to load old modules post upgrade (LP: #1847361)
    - d/p/ubuntu/lp-1847361-modules-load-upgrade.patch: to fallback module
      load to a versioned path
    - d/qemu-block-extra.*.in, d/qemu-system-gui.*.in: save shared objects on
      upgrade
    - d/rules: generate maintainer scripts matching package version on build
    - d/rules: enable --enable-module-upgrades where --enable-modules is set
  * d/p/ubuntu/lp-1847361-vhost-correctly-turn-on-VIRTIO_F_IOMMU_PLATFORM.patch:
    avoid unnecessary IOTLB transactions (LP: #1866207)

 -- Christian Ehrhardt <email address hidden> Mon, 02 Mar 2020 15:21:27 +0100

Changed in qemu (Ubuntu):
status: Fix Committed → Fix Released
Frank Heimes (fheimes) on 2020-03-14
Changed in ubuntu-z-systems:
status: Fix Committed → Fix Released
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2020-03-16 08:42 EDT-------
IBM bugzilla status closed-> Fix Released with focal

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers